/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.java.lang;

public class Object_vendor_113373_36_ListViewSwipeRefreshListenerImpl extends java.lang.Object
    implements com.tns.NativeScriptHashCodeProvider,
        com.telerik.widget.list.SwipeRefreshBehavior.SwipeRefreshListener {
  public Object_vendor_113373_36_ListViewSwipeRefreshListenerImpl() {
    super();
    com.tns.Runtime.initInstance(this);
  }

  public void onRefreshRequested() {
    java.lang.Object[] args = new java.lang.Object[0];
    com.tns.Runtime.callJSMethod(this, "onRefreshRequested", void.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
